Get Access Token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the authorization code assigned for that business user, this endpoint will send back an access token.

Response

Parameter NameDescription
access_tokenToken issued by the authorization server. The token will be 128 characters long. Tokens will be valid for the R2R api for 7 days.
expires_inSeconds until token expires.
expiration_timestampThe expiration time of the access token in ISO8601 format.
token_typeThe type of token issued. Default to ‘Bearer’
refresh_tokenToken code used in refresh endpoint. The token will be 128 characters long.

Error Scenarios

For the following error scenarios, Yelp will respond with an HTTP error with the following format for the response body:

{
    "error": {
        "id" : "<ERROR_CODE_ID>",
        "description": "<Human readable description.>",
        "http_code": "<http_code>"
    }
}
iddescriptionhttp_code
INVALID_REQUESTMissing a required parameter or includes an unsupported parameter.HTTPBadRequest (400)
CLIENT_NOT_FOUNDSupplied client ID does not exist.HTTPNotFound (404)
INVALID_CLIENTClient authentication failed due to unknown client, no client authentication included, or unsupported authentication method.HTTPUnauthorized (401)
INVALID_GRANTThe provided authorization grant is invalid, expired or revoked.HTTPBadRequest (400)
UNAUTHORIZED_CLIENTThe authenticated client is not authorized to use this authorization grant type.HTTPBadRequest (400)
UNSUPPORTED_GRANT_TYPEThe authorization grant type is not supported by the authorization server.HTTPBadRequest (400)

📘

This endpoint is part of the Respond to Reviews API, visit Respond to Reviews API to learn more.

Body Params
string

Required. ID assigned by Yelp for the third-party system that will make user-authorized requests to Yelp.

string

Required. Client secret assigned by Yelp for the third-party system that will make user-authorized requests to Yelp.

string

Required. A unique code that will be used by the client to redeem an access token.

string

Required. The grant being presented in order to exchange for an access token. For example, when redeeming the authorization code for an access token, this value will be authorization_code.

string

Optional. The client-provided redirect endpoint URL. If no redirect_uri was provided during authorization, it is optional here.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json